OpenVDB 5.1.0

Classes | Namespaces | Functions
IndexIterator.h File Reference

Index Iterators. More...

`#include <openvdb/version.h>`
`#include <openvdb/Types.h>`

Go to the source code of this file.

## Classes
class | NullFilter
| A no-op filter that can be used when iterating over all indices. More...
class | ValueVoxelCIter
| A forward iterator over array indices in a single voxel. More...
struct | ValueVoxelCIter::Parent
class | IndexIter< IteratorT, FilterT >
| A forward iterator over array indices with filtering IteratorT can be either IndexIter or ValueIndexIter (or some custom index iterator) FilterT should be a struct or class with a valid() method than can be evaluated per index Here's a simple filter example that only accepts even indices: More...
class | IndexIter< IteratorT, FilterT >::ValueIndexIter
| A forward iterator over array indices from a value iterator (such as ValueOnCIter) More...

## Namespaces
| openvdb
| openvdb::v5_1
| openvdb::v5_1::points

## Functions
template<typename IterT >
Index64 | iterCount (const IterT &iter)
| Count up the number of times the iterator can iterate. More...

## Detailed Description

Index Iterators.

Author
  Dan Bailey